<template>
  <div class="default-layout column">
    <header class="default-layout__header row items-center q-gutter-x-md no-wrap">
      <img style="height: 80%" src="../assets/svg/Logo.svg" alt="" />
      <span
        @click="$router.push({ name: 'Index', query: { sort: 'new', category: 'all' } })"
        class="default-layout__title cursor-pointer non-selectable gt-xs"
      >
        elu.blog
      </span>
      <q-space></q-space>
      <q-btn
        :dense="$q.screen.lt.sm"
        v-if="isLoggedIn"
        unelevated
        color="primary"
        text-color="secondary"
        icon="create"
        label="write"
        @click="$router.push({ name: 'CreateArticle' })"
      />
      <q-btn
        :dense="$q.screen.lt.sm"
        v-if="isLoggedIn"
        unelevated
        color="primary"
        text-color="secondary"
        icon="logout"
        label="logout"
        @click="logout()"
      />
      <q-btn
        :dense="$q.screen.lt.sm"
        v-if="$route.name != 'Auth' && !isLoggedIn"
        unelevated
        color="primary"
        text-color="secondary"
        icon="work"
        label="auth"
        @click="$router.push({ name: 'Auth' })"
      />
    </header>
    <main class="default-layout__main col-grow">
      <router-view />
    </main>
    <footer class="default-layout__footer"></footer>
  </div>
</template>

<script setup>
import { computed } from "vue";
import { useStore } from "vuex";
const store = useStore();
const isLoggedIn = computed(() => store.getters["userModule/isLoggedIn"]);

async function logout() {
  const result = await store.dispatch("userModule/logout");
  if (result) {
    $router.push({ name: "Index" });
  }
}
</script>
<style lang="scss" scoped>
.default-layout {
  background-color: #202227;
  flex-grow: 1;
  flex-wrap: nowrap;
  overflow: hidden;
  @media (max-width: 1200px) {
    &__header {
      padding-left: 6.27vw !important;
      padding-right: 6.27vw !important;
    }
  }
  &__header {
    height: 75px;
    background-color: #2e3138;
    padding-left: 15.27vw;
    padding-right: 15.27vw;
  }
  &__main {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    > div {
      flex-grow: 1;
    }
  }
  &__footer {
    padding-left: 15.27vw;
    padding-right: 15.27vw;
  }
  &__title {
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 36px;
    line-height: 44px;
    color: #ffffff;
  }
}
</style>
